<mat-toolbar color="primary">
  <img
    src="../../../assets/images/logo/logo.png"
    alt=""
    srcset=""
    class="app-logo"
  />
  <span class="app-title">Personal Loan Management System</span>

  <section class="login-button-section" *ngIf="!customerLoggedIn" (click)="routeToLogin()">
    <button mat-raised-button color="primary">LogIn</button>
  </section>

  <section class="signup-button-section" *ngIf="!customerLoggedIn" (click)="routeToSignup()">
    <button mat-raised-button color="warn">Signup</button>
  </section>
  <section class="customer-info-section" *ngIf="customerLoggedIn">
    <div class="customername-prefix-section">
      <span class="customername"  matTooltip="Hello, {{loggedInCustomerName}}" aria-label="Example icon-button with a heart icon">{{
        customerNameFirstLetter | uppercase
      }}</span>
       </div>

    <button
      mat-icon-button
      [matMenuTriggerFor]="menu"
      aria-label="Example icon-button with a menu"
    >
      <mat-icon
        class="category-icon cursor-pointer"
        aria-hidden="false"
        aria-label="Example customer verified icon"
        >drag_indicator</mat-icon
      >
    </button>
    <mat-menu #menu="matMenu">
      <button mat-menu-item (click)="signout()">
        <mat-icon>sentiment_very_dissatisfied</mat-icon>
        <span>Sign Out</span>
      </button>
    </mat-menu>
  </section>
</mat-toolbar>
